Page MenuHomePhabricator

mediawiki.feedback should use OOjs UI dialog
Closed, ResolvedPublic8 Story Points

Description

mediawiki.feedback is used in VisualEditor for submitting comments/suggestions. The dialog for submitting feedback currently uses jQuery UI, which makes it look nonstandard relative to the rest of the UI, non-responsive, and may also be implicated in causing "Escape" to trigger a full exit if no changes have been made.

Event Timeline

Eloquence updated the task description. (Show Details)
Eloquence raised the priority of this task from to Needs Triage.
Eloquence added a project: VisualEditor.
Eloquence added a subscriber: Eloquence.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 18 2015, 8:24 PM
Jdforrester-WMF triaged this task as Normal priority.Feb 18 2015, 8:25 PM
Jdforrester-WMF set Security to None.

This doesn't have anything to do with extending or modifying the OOjs UI library, just using it.

Ricordisamoa added a subscriber: TheDJ.EditedFeb 19 2015, 6:20 PM

This doesn't have anything to do with extending or modifying the OOjs UI library, just using it.

@TheDJ tagged T89815 with OOUI, and it doesn't involve extending or modifying the OOjs UI library either.
And why is this tagged VisualEditor, if mediawiki.feedback lives in core (and BTW is also used in UploadWizard)?

You removed OOUI from T89815, but it is still not clear to me why this is tagged VisualEditor.

You removed OOUI from T89815, but it is still not clear to me why this is tagged VisualEditor.

Because the tool is most noticeably used in VisualEditor, hence the UI clash being more urgent than general backlog.

Change 192749 had a related patch set uploaded (by Mooeypoo):
[wip] Refactoring mw.Feedback to work with OOUI elements

https://gerrit.wikimedia.org/r/192749

Jdforrester-WMF closed this task as Resolved.Mar 3 2015, 6:16 PM

Change 192749 merged by jenkins-bot:
Refactoring mw.Feedback to work with OOUI elements

https://gerrit.wikimedia.org/r/192749

Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Mar 3 2015, 11:28 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 23 2017, 8:50 AM